﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v2.16.0/chezmoi_2.16.0_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v2.16.0/chezmoi_2.16.0_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = '256806f46432af6a9abb1a6343625bdea83bd90426e0f078c6815053940b2d97'
    checksumType   = 'sha256'
    checksum64     = '3fb4d78f5aec86ee23beb23ea4acb2c2f3ab32e532b13252252711b656183e1e'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
